Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82437 - rpm error on install of new kernel 2.4.20-2.24 in Phoebe 8.0.93
Summary: rpm error on install of new kernel 2.4.20-2.24 in Phoebe 8.0.93
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel
Version: 1.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-01-22 04:47 UTC by Need Real Name
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-25 04:30:36 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-01-22 04:47:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030117

Description of problem:
As the packages linux-kernel-2.4.20-2.24.i686.rpm and
linux-kernel-source-2.4.20-2.24.i386.rpm were installing I received the
following oops:
-----------------------------------------------------------------------------------
Jan 21 21:14:03 f1j kernel: Oops: 0002
Jan 21 21:14:03 f1j kernel: ide-cd cdrom radeon agpgart emu10k1 ac97_codec sound
soundcore iptable_filter ip_tables autofs tg3 printer loop lvm-mod keybdev
mousedev hid input usb-uhci eh
Jan 21 21:14:03 f1j kernel: CPU:    0
Jan 21 21:14:03 f1j kernel: EIP:    0060:[<c015964d>]    Not tainted
Jan 21 21:14:03 f1j kernel: EFLAGS: 00010206
Jan 21 21:14:03 f1j kernel: 
Jan 21 21:14:03 f1j kernel: EIP is at prune_dcache [kernel] 0x2d (2.4.20-2.21)
Jan 21 21:14:03 f1j kernel: eax: c03182c0   ebx: e6a7c372   ecx: c2fa94e0   edx:
0000170f
Jan 21 21:14:03 f1j kernel: esi: e6a7c35a   edi: 00000000   ebp: 0000001f   esp:
c32f5f34
Jan 21 21:14:03 f1j kernel: ds: 0068   es: 0068   ss: 0068
Jan 21 21:14:03 f1j kernel: Process rpm (pid: 1922, stackpage=c32f5000)
Jan 21 21:14:03 f1j kernel: Stack: ea49e0e4 ddc370c4 c32f4000 e0d175ec ebb479c0
e0d175ec c0159a44 00000087 
Jan 21 21:14:03 f1j kernel:        e0d175ec ebb47a3c c0151ba6 e0d175ec e0d175ec
c0151c9a e0d175ec 00000003 
Jan 21 21:14:03 f1j kernel:        e0d175ec c1ba1000 e0d175ec c32f5f90 c0151f3d
ebb479c0 e0d175ec ebb43270 
Jan 21 21:14:03 f1j kernel: Call Trace:   [<c0159a44>] shrink_dcache_parent
[kernel] 0x24 (0xc32f5f4c))
Jan 21 21:14:03 f1j kernel: [<c0151ba6>] d_unhash [kernel] 0x26 (0xc32f5f5c))
Jan 21 21:14:03 f1j kernel: [<c0151c9a>] vfs_rmdir [kernel] 0xba (0xc32f5f68))
Jan 21 21:14:03 f1j kernel: [<c0151f3d>] sys_rmdir [kernel] 0xed (0xc32f5f84))
Jan 21 21:14:03 f1j kernel: [<c0109737>] system_call [kernel] 0x33 (0xc32f5fc0))
Jan 21 21:14:03 f1j kernel: 
Jan 21 21:14:03 f1j kernel: 
Jan 21 21:14:03 f1j kernel: Code: 89 02 89 5b 04 89 1b 8b 46 54 a9 08 00 00 00
0f 85 0d 01 00 



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -Uvh kernel-*
2.
3.
    

Actual Results:  Kernel oops but the update from 2.4.20-2.21 to 2.4.20-2.24
finished ok...

Expected Results:  no oops

Additional info:

Comment 1 Need Real Name 2003-01-25 04:30:36 UTC
Fixed in kernel 2.4.20-2.25


Note You need to log in before you can comment on or make changes to this bug.